Bug 217483 - textproc/py-numpydoc: Create py3- variant
Summary: textproc/py-numpydoc: Create py3- variant
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on: 217475
Blocks: 217484
  Show dependency treegraph
 
Reported: 2017-03-01 23:12 UTC by Danilo G. Baio
Modified: 2017-06-08 14:44 UTC (History)
1 user (show)

See Also:
cpm: maintainer-feedback+


Attachments
py-numpydoc-py3.patch (1.46 KB, patch)
2017-03-01 23:12 UTC, Danilo G. Baio
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2017-03-01 23:12:46 UTC
Created attachment 180422 [details]
py-numpydoc-py3.patch

- Create python3 version of textproc/py-numpydoc

This new port is required to fulfill the Python 3+ dependencies to the new port gitsome.

I didn't include an entry in textproc/Makefile for it not get conflicted with the other patches.

[Q/A]

portlint (textproc/py-numpydoc):
WARN: /usr/home/dbaio/FreeBSD/ports/textproc/py-numpydoc/distinfo: [1]: TIMESTAMP is over 30 days old
0 fatal errors and 1 warning found.

testport (textproc/py-numpydoc and textproc/py3-numpydoc):
   poudriere i386|amd64 10.3 p17     (OK)
   poudriere i386|amd64 11   p8      (OK)
   poudriere i386|amd64 12   r314365 (OK)
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-03-02 10:14:05 UTC
Comment on attachment 180422 [details]
py-numpydoc-py3.patch

LGTM
Comment 2 Ben Woods freebsd_committer 2017-06-08 14:38:19 UTC
Committed - thanks!
Comment 3 commit-hook freebsd_committer 2017-06-08 14:44:20 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jun  8 14:43:46 UTC 2017
New revision: 442937
URL: https://svnweb.freebsd.org/changeset/ports/442937

Log:
  [NEW] textproc/py3-numpydoc: Create Python 3.x version of this port

  PR:		217483
  Submitted by:	dbaio
  Approved by:	cpm (maintainer)

Changes:
  head/textproc/Makefile
  head/textproc/py-numpydoc/Makefile
  head/textproc/py3-numpydoc/
  head/textproc/py3-numpydoc/Makefile